---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libVThreadTest.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x33900, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8CBC, offset: 0x8CBC, size: 0x8, addend: 0x0, symName: __ZL19processVThreadEventP9_jvmtiEnvP7JNIEnv_P8_jobjectPKc, symObjAddr: 0x1900, symBinAddr: 0x33E0, symSize: 0x1E90 }
  - { offsetInCU: 0x8CE3, offset: 0x8CE3, size: 0x8, addend: 0x0, symName: __ZZL19processVThreadEventP9_jvmtiEnvP7JNIEnv_P8_jobjectPKcE18vthread_events_cnt, symObjAddr: 0x3391C, symBinAddr: 0xC0BC, symSize: 0x0 }
  - { offsetInCU: 0xC657, offset: 0xC657, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x3800, symBinAddr: 0x52E0, symSize: 0x180 }
  - { offsetInCU: 0xC68E, offset: 0xC68E, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x33920, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xC87B, offset: 0xC87B, size: 0x8, addend: 0x0, symName: __ZL21GetCarrierThread_func, symObjAddr: 0x33930, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0xC894, offset: 0xC894, size: 0x8, addend: 0x0, symName: __ZL5tinfo, symObjAddr: 0x33940, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0xC8E6, offset: 0xC8E6, size: 0x8, addend: 0x0, symName: __ZL21GetVirtualThread_func, symObjAddr: 0x339E0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0xC8FF, offset: 0xC8FF, size: 0x8, addend: 0x0, symName: __ZL14events_monitor, symObjAddr: 0x33908, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC918, offset: 0xC918, size: 0x8, addend: 0x0, symName: __ZL19vthread_mount_count, symObjAddr: 0x33910, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC931, offset: 0xC931, size: 0x8, addend: 0x0, symName: __ZL21vthread_unmount_count, symObjAddr: 0x33914, symBinAddr: 0xC0B4, symSize: 0x0 }
  - { offsetInCU: 0xC94A, offset: 0xC94A, size: 0x8, addend: 0x0, symName: __ZL6passed, symObjAddr: 0x33918, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC9EA, offset: 0xC9EA, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x2940, symSize: 0x30 }
  - { offsetInCU: 0xCDAD, offset: 0xCDAD, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xE90, symBinAddr: 0x2970, symSize: 0x2B0 }
  - { offsetInCU: 0xD176, offset: 0xD176, size: 0x8, addend: 0x0, symName: __ZL14find_ext_eventP9_jvmtiEnvPKc, symObjAddr: 0x3A60, symBinAddr: 0x5540, symSize: 0xAA }
  - { offsetInCU: 0xD28F, offset: 0xD28F, size: 0x8, addend: 0x0, symName: __ZL31set_ext_event_notification_modeP9_jvmtiEnv14jvmtiEventModePKcP8_jobject, symObjAddr: 0x17A0, symBinAddr: 0x3280, symSize: 0x60 }
  - { offsetInCU: 0xD502, offset: 0xD502, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadStartP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x1140, symBinAddr: 0x2C20, symSize: 0x120 }
  - { offsetInCU: 0xD77D, offset: 0xD77D, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x3790, symBinAddr: 0x5270, symSize: 0x70 }
  - { offsetInCU: 0xD856, offset: 0xD856, size: 0x8, addend: 0x0, symName: __ZL16VirtualThreadEndP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x1260, symBinAddr: 0x2D40, symSize: 0x120 }
  - { offsetInCU: 0xDAD1, offset: 0xDAD1, size: 0x8, addend: 0x0, symName: __ZL18VirtualThreadMountP9_jvmtiEnvz, symObjAddr: 0x1380, symBinAddr: 0x2E60, symSize: 0x210 }
  - { offsetInCU: 0xDD34, offset: 0xDD34, size: 0x8, addend: 0x0, symName: __ZL20VirtualThreadUnmountP9_jvmtiEnvz, symObjAddr: 0x1590, symBinAddr: 0x3070, symSize: 0x210 }
  - { offsetInCU: 0xDF97, offset: 0xDF97, size: 0x8, addend: 0x0, symName: _Java_VThreadTest_check, symObjAddr: 0x1800, symBinAddr: 0x32E0, symSize: 0x100 }
  - { offsetInCU: 0xEBC9, offset: 0xEBC9, size: 0x8, addend: 0x0, symName: __ZL17find_ext_functionP9_jvmtiEnvP7JNIEnv_PKc, symObjAddr: 0x3980, symBinAddr: 0x5460, symSize: 0xD0 }
...
